File: changelog

package info (click to toggle)
yubico-piv-tool 1.7.0-1
  • links: PTS, VCS
  • area: main
  • in suites: bullseye, sid
  • size: 2,860 kB
  • sloc: ansic: 15,473; sh: 5,123; makefile: 202; perl: 53
file content (168 lines) | stat: -rw-r--r-- 5,097 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
yubico-piv-tool (1.7.0-1) unstable; urgency=high (security fixes)

  [ Nicolas Braud-Santoni ]
  * New upstream version 1.7.0
    + Security fixes. (Closes: #926551)
    + ykcs11: Fix ECDSA signatures.
    + Documentation fixes.
    + libykpiv1: Update symbols file, add Build-Depends-Package metadata

  * debian/upstream: Update keyring and its generation script

  * debian/control
    + Update Uploader's email address
    + Bump Standards-Version to 4.3.0
      No change required.

  * Switch to debhelper 12
  * debian/rules
    + Avoid unnecessary override_dh_install
    + Don't set rpath at build-time, rather than overriding
    + Replace `dh_install --fail-missing` with `dh_missing`

  * ykcs11: Add Lintian overrides for PKCS#11 quirks
  * libykpiv-dev: Do not ship pkgconfig metadata for ykcs11
    + YKCS11 is a PKCS#11 provider
    + This would be the wrong package for it anyhow.

  [ Simon Josefsson ]
  * Drop myself from Uploaders.

 -- Nicolas Braud-Santoni <nicoo@debian.org>  Sat, 06 Apr 2019 22:35:22 +0200

yubico-piv-tool (1.6.2-1) unstable; urgency=high

  * New upstream version 1.6.2.
  * Update Standards-Version from 4.2.0 to 4.2.1.

 -- Simon Josefsson <simon@josefsson.org>  Tue, 25 Sep 2018 11:40:12 +0200

yubico-piv-tool (1.6.1-1) unstable; urgency=high

  [ Nicolas Braud-Santoni ]
  * New upstream version 1.6.1 (2018-08-17)
    Fixes a potential buffer overflow (CVE-2018-14779, CVE-2018-14780)
    Closes: #906128

  * Update upstream signing keys & move them to debian/upstream
  * debian/copyright: Solve duplicate license in DEP-5 format
  * debian/control
    + Sort the Uploaders list.
    + Add myself to Uploaders.
    + Declare compliance with policy 4.2.0.
      No change required

  [ Simon Josefsson ]
  * Update URLs to reflect move of dpkg git to salsa.

 -- Nicolas Braud-Santoni <nicolas@braud-santoni.eu>  Sun, 19 Aug 2018 12:38:11 +0200

yubico-piv-tool (1.5.0-1) unstable; urgency=medium

  * New upstream version.  Closes: #810284.
    - Replace libssl1.0 with libssl1.1.  Closes: #859838.
    - Depend on check.
  * Use https URLs in debian/copyright.
  * Update Standards-Version from 3.9.8 to 4.1.4.
    - Priority optional instead of extra.
  * Use compat level 11.
    - Drop no longer needed --parallel.
    - Drop no longer needed --with autoreconf.
    - Drop no longer needed --disable-silent-rules.
    - Drop no longer needed --builddirectory.
    - Drop no longer needed dh-autoreconf.

 -- Simon Josefsson <simon@josefsson.org>  Mon, 11 Jun 2018 21:56:06 +0200

yubico-piv-tool (1.4.2-2) unstable; urgency=medium

  * Fix openssl 1.1 ftbfs.  Closes: #828616.

 -- Simon Josefsson <simon@josefsson.org>  Sun, 08 Jan 2017 12:41:03 +0100

yubico-piv-tool (1.4.2-1) unstable; urgency=medium

  * New upstream version.
  * Clarify debian/copyright wrt ykcs11/pkcs11.h.

 -- Simon Josefsson <simon@josefsson.org>  Sun, 14 Aug 2016 22:28:46 +0200

yubico-piv-tool (1.4.1-1) unstable; urgency=medium

  * New upstream version.

 -- Simon Josefsson <simon@josefsson.org>  Fri, 12 Aug 2016 13:57:11 +0200

yubico-piv-tool (1.4.0-1) unstable; urgency=medium

  [ Simon Josefsson ]
  * Use https URLs in Vcs-Git.
  * Update Standards-Version from 3.9.6 to 3.9.8.
  * Build with hardening=+all.
  * Improve package descriptions (lintian duplicate-short-description).

  [ Klas Lindfors ]
  * New upstream version.  Closes: #810284.

 -- Simon Josefsson <simon@josefsson.org>  Thu, 04 Aug 2016 12:05:28 +0200

yubico-piv-tool (1.1.2-1) unstable; urgency=low

  * New upstram version.

 -- Alessio Di Mauro <alessio@yubico.com>  Fri, 13 Nov 2015 16:16:09 +0100

yubico-piv-tool (1.1.1-1) unstable; urgency=low

  * New upstream version.

 -- Alessio Di Mauro <alessio@yubico.com>  Wed, 11 Nov 2015 18:58:58 +0100

yubico-piv-tool (1.1.0-1) unstable; urgency=low

  * New upstream version.

 -- Alessio Di Mauro <alessio@yubico.com>  Mon, 09 Nov 2015 09:30:26 +0100

yubico-piv-tool (1.0.3-1) unstable; urgency=low

  * New upstream version.

 -- Simon Josefsson <simon@josefsson.org>  Thu, 08 Oct 2015 12:37:17 +0200

yubico-piv-tool (1.0.2-1) unstable; urgency=low

  * New upstream version.
  * Update upstream-signing-key.pgp.
  * Tweak watch file.

 -- Simon Josefsson <simon@josefsson.org>  Tue, 22 Sep 2015 08:31:55 +0200

yubico-piv-tool (1.0.1-1) unstable; urgency=low

  * New upstream version.
    - Update debian/copyright to match GPL->BSD relicense.

 -- Simon Josefsson <simon@josefsson.org>  Tue, 11 Aug 2015 14:02:39 +0200

yubico-piv-tool (1.0.0-1) unstable; urgency=low

  * New upstream version.
  * Update README.source.
  * Add gbp.conf.
  * Add Alessio as uploader, and update upstream-signing-key.pgp.
  * Update symbols.

 -- Simon Josefsson <simon@josefsson.org>  Tue, 07 Jul 2015 22:47:03 +0200

yubico-piv-tool (0.1.6-1) unstable; urgency=low

  * New upstream version.

 -- Simon Josefsson <simon@josefsson.org>  Wed, 15 Apr 2015 14:53:54 +0200

yubico-piv-tool (0.1.5-1) unstable; urgency=low

  * Initial release. (Closes: #779837)

 -- Hans-Christoph Steiner <hans@eds.org>  Mon, 30 Mar 2015 16:53:01 -0400